#include "viewer.h"
#include "argstream.h"
#include <iostream>
#include <qapplication.h>

using namespace std;

int
main(int argc, char *argv[]) 
{
  QApplication application(argc,argv);
  ////////////////////////////////////////////////////////////////////////
  // Parse the command line to get parameters such as file name, grid
  // resolution, etc
  ////////////////////////////////////////////////////////////////////////
  string fileName;
  float percentage=0.1f;
  argstream as(argc,argv);
  as>>parameter('s',"size",percentage,"size of the grid's cell (in % of bbox)",false)
    >>values<string>(&fileName,"The file to load",1)
    >>help();
  as.defaultErrorHandling();
  ////////////////////////////////////////////////////////////////////////
  // Construct the widget to show the model
  ////////////////////////////////////////////////////////////////////////
  Viewer viewer(NULL);
  viewer.loadModel(fileName.c_str());
  viewer.computeLOD(percentage);
  application.setMainWidget(&viewer);
  viewer.show();

  return application.exec();
}

